# Documentation

- [Installation](https://docs.oidc-spa.dev/docs/v4/documentation/readme.md)
- [Basic Usage](https://docs.oidc-spa.dev/docs/v4/documentation/usage.md): Let's get your App authenticated!
- [Web API](https://docs.oidc-spa.dev/docs/v4/documentation/web-api.md)
- [Auto Logout](https://docs.oidc-spa.dev/docs/v4/documentation/auto-logout.md): Automatically logging out your user after a set period of inactivity on your app (they dont move the mouse or press any key on the keyboard for a while)
- [Error Management](https://docs.oidc-spa.dev/docs/v4/documentation/error-management.md)
- [Mock](https://docs.oidc-spa.dev/docs/v4/documentation/mock.md)
- [Tokens Renewal](https://docs.oidc-spa.dev/docs/v4/documentation/tokens-renewal.md)
- [Globally Enforce Authentication](https://docs.oidc-spa.dev/docs/v4/documentation/globally-enforce-authentication.md)
- [User Account Management](https://docs.oidc-spa.dev/docs/v4/documentation/user-account-management.md)
- [Doing Something Only When a New Session is Created](https://docs.oidc-spa.dev/docs/v4/documentation/doing-something-only-when-a-new-session-is-created.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.oidc-spa.dev/docs/v4/documentation.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
